Ext.namespace("dSS", "dSS.config");

dSS._ = function(msgid, arg1, arg2) {
    // if the langpack could not be loaded we will still offer a functioning
    // UI in the default language
    if (dSS.gt === undefined) {
        return msgid;
    }

    if (arguments.length === 1) {
        return dSS.gt.gettext(msgid);
    } else if (arguments.length === 2) {
        return dSS.gt.ngettext(msgid, arg1);
    } else if (arguments.length === 3) {
        return dSS.gt.ngettext(msgid, arg1, arg2);
    }

    return msgid;
};

